Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.etkra.protocol.v2
Class ActivateETKRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.etkra.protocol.v2.ActivateETKRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class ActivateETKRequest

extends RequestType
implements Serializable

Activates an Encryption Token that is a replacement of another ETK. This operation is only relevant for replacement ETK's that were requested during the replacement period of an old ETK. Only after performing this request will the replacement ETK become usable. This "activation" process allows clients to postpone the use of their new ETK until they have deployed it.

Java class for ActivateETKRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ActivateETKRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Signature"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ActivateETKRequest()`

Method Summary
`Signature` | `getSignature()` An enveloped XML signature that signs the entire request element.
`void` | `setSignature(Signature value)` Sets the value of the signature property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivateETKRequest

    public ActivateETKRequest()

Method Detail

### getSignature

    public Signature getSignature()

  An enveloped XML signature that signs the entire request element. The signature must be created with an eHealth authentication certificate. The ETK associated with this authentication certificate will be activated.

  Returns:
    possible object is `Signature`

### setSignature

    public void setSignature(Signature value)

  Sets the value of the signature property.

  Parameters:
    `value` - allowed object is `Signature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.